cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Allow Modeler XMI Import/Export to be based on the (free) Corretto instead of the Oracle Java JRE

0 Kudos

Allow Modeler XMI Import/Export to be based on the (free) Corretto instead of the Oracle Java JRE

Java-based PTC products like Windchill RV&S are now supporting alternatives to Oracle like Amazon Corretto. Most of the Modeler functionality does not need Java, however the XMI Import/Export requires currently Oracle Java RTE, 32bit. A lot of customers do not want to use Oracle Java anymore, so it would be good to use the same alternatives like for RV&S or Windchill.

2 Comments
PatrickOllerton
14-Alexandrite
Status changed to: Under Consideration

Hi,

 

We have done some testing with Java Corretto 8 (amazon-corretto-8.202.08.2-windows-x86-jre.zip) and Modeler worked ok.

 

It’s not officially supported for Modeler currently, but we are considering for the future.

Amazon do seem to support Java 8 Corretto (See below) unlike Oracle Java 8 which is now out of support, so this could be an option.

 

https://docs.aws.amazon.com/corretto/latest/corretto-8-ug/what-is-corretto-8.html

 

thanks,

Patrick

akorff
5-Regular Member
Hi Patrick,

Thanks for this instant reply.
Kind regards,
Andreas